import 'package:json_annotation/json_annotation.dart';
import 'package:marking_app/common/model/report/detail_base_info.dart';

part 'small_question.g.dart';


@JsonSerializable()
class SmallQuestion extends Object {

  @JsonKey(name: 'total')
  int total;

  @JsonKey(name: 'BodyExcelData')
  BodyExcelData bodyExcelData;

  SmallQuestion(this.total,this.bodyExcelData,);

  factory SmallQuestion.fromJson(Map<String, dynamic> srcJson) => _$SmallQuestionFromJson(srcJson);

  Map<String, dynamic> toJson() => _$SmallQuestionToJson(this);

}


@JsonSerializable()
class BodyExcelData extends Object {

  @JsonKey(name: 'BatchNO')
  String batchNO;

  @JsonKey(name: 'HeadStartRowIndex')
  int headStartRowIndex;

  @JsonKey(name: 'BodyStartRowIndex')
  int bodyStartRowIndex;

  @JsonKey(name: 'Sheets')
  List<Sheets> sheets;

  BodyExcelData(this.batchNO,this.headStartRowIndex,this.bodyStartRowIndex,this.sheets,);

  factory BodyExcelData.fromJson(Map<String, dynamic> srcJson) => _$BodyExcelDataFromJson(srcJson);

  Map<String, dynamic> toJson() => _$BodyExcelDataToJson(this);

}


